<?php

namespace Moamen\Business\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Moamen\Business\Interfaces\FormsRepositoryInterface;

class FormsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Moamen\Forms\Interfaces\FormsRepositoryInterface $forms
     *
     * @return type
     */
    public function __construct(FormsRepositoryInterface $forms)
    {
        $this->repository = $forms;
        parent::__construct();
    }

    /**
     * Show forms's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $forms = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('business::public.forms.index', compact('forms'))->render();
    }

    /**
     * Show forms.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $forms = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('business::public.forms.show', compact('forms'))->render();
    }
}
