<?php

// Admin routes for forms
Route::group(['prefix' => trans_setlocale().'/admin/business', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('forms', 'Moamen\Business\Http\Controllers\FormsAdminController');
});

// User routes for forms
Route::group(['prefix' => trans_setlocale().'/user/business', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('forms', 'Moamen\Business\Http\Controllers\FormsUserController');
});

// Public routes for forms
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('business/forms', 'Moamen\Business\Http\Controllers\FormsPublicController@index');
    Route::get('business/forms/{slug?}', 'Moamen\Business\Http\Controllers\FormsPublicController@show');
});

// Admin routes for forms
Route::group(['prefix' => trans_setlocale().'/admin/business', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('forms', 'Moamen\Business\Http\Controllers\FormsAdminController');
});

// User routes for forms
Route::group(['prefix' => trans_setlocale().'/user/business', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('forms', 'Moamen\Business\Http\Controllers\FormsUserController');
});

// Public routes for forms
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('business/forms', 'Moamen\Business\Http\Controllers\FormsPublicController@index');
    Route::get('business/forms/{slug?}', 'Moamen\Business\Http\Controllers\FormsPublicController@show');
});
